# OpenLayers.Control.MousePosition

The MousePosition control displays geographic coordinates of the mouse pointer, as it is moved about the map.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.MousePosition | The MousePosition control displays geographic coordinates of the mouse pointer, as it is moved about the map.
Properties |
autoActivate | {Boolean} Activate the control when it is added to a map.
prefix | {String}
separator | {String}
suffix | {String}
numDigits | {Integer}
granularity | {Integer}
emptyString | {String} Set this to some value to set when the mouse is outside the map.
displayProjection | {OpenLayers.Projection} The projection in which the mouse position is displayed
Constructor |
OpenLayers.Control.MousePosition |
Functions |
activate |
deactivate |

### Properties

### autoActivate

{Boolean} Activate the control when it is added to a map. Default is true.

### prefix

{String}

### separator

{String}

### suffix

{String}

### numDigits

{Integer}

### granularity

{Integer}

### emptyString

{String} Set this to some value to set when the mouse is outside the map.

### displayProjection

{OpenLayers.Projection} The projection in which the mouse position is displayed

### Constructor

### OpenLayers.Control.MousePosition

#### Parameters

options | {Object} Options for control.

### Functions

### activate

> activate: function()

### deactivate

> deactivate: function()

Class for coordinate transforms between coordinate systems.

> activate: function()

> deactivate: function()

Controls affect the display or behavior of the map.
Close